Bug 873586 - "Draft" watermark does not display in PDF
"Draft" watermark does not display in PDF
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: 3.1
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-06 04:10 EST by Anjana Suparna Sriram
Modified: 2013-02-05 22:40 EST (History)
4 users (show)

See Also:
Fixed In Version: 3.1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-05 22:40:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anjana Suparna Sriram 2012-11-06 04:10:07 EST
Description of problem: The draft watermark is not shown when the book is rendered in PDF but it is shown in HTML output.


Version-Release number of selected component (if applicable): publican-3.0-0.fc17.t216.noarch


How reproducible: Always


Steps to Reproduce:
1. Include book status as draft in book_name.xml and show remarks=1 in publican.cfg 
2. Run publican build command
3. PDF does now show the draft watermark.
  
Actual results:
PDF does now display the draft watermark

Expected results:

All outputs show the watermark.

Additional info:
Comment 1 Jeff Fearn 2013-01-11 01:07:49 EST
This fix has been committed to the devel branch for inclusion in Publican 3.1.

Fix actually required updating the XSL as wkhtmltopdf will not display the background of the body tag.
Comment 2 xuezhi ma 2013-01-28 21:55:44 EST
Verify version: publican-3.1.0-0.el6eng.noarch  - PASS

Verify steps:
1. Create a document with $publican create --name=test
2. vim en-US/test.xml, edit <book status="draft"> and set show_remarks:1 in publican.cfg
3. Build the book in PDF format, then check the watermark.

Actual results:
"Draft" watermark is displayed in PDF document.

Additional info:
There is no "Draft" watermark in table of contents page of PDF document, see bug 905271

Note You need to log in before you can comment on or make changes to this bug.